Index: code/branches/cegui0.8/data/gui/layouts/MouseControlsMenu.layout
===================================================================
--- code/branches/cegui0.8/data/gui/layouts/MouseControlsMenu.layout	(revision 11110)
+++ code/branches/cegui0.8/data/gui/layouts/MouseControlsMenu.layout	(revision 11118)
@@ -1,86 +1,85 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/MouseControlsBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/MouseControlsWindow" >
-            <Property Name="Text" Value="Mouse controls" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/MouseNormalSensitivity" >
-                <Property Name="Text" Value="Sensitivity (normal mode)                                      " />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.95,0},{0.45,0}}" />
-                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/MouseNormalScrollbar" >
-                    <Property Name="PageSize" Value="0" />
-                    <Property Name="StepSize" Value="1" />
-                    <Property Name="OverlapSize" Value="0" />
-                    <Property Name="DocumentSize" Value="1" />
-                    <Property Name="ScrollPosition" Value="0" />
-                    <Property Name="StepSize" Value="0.1" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.02,0},{0.6,0},{0.565,0},{0.8,0}}" />
-                    <Event Name="ThumbTrackStarted" Function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_started" />
-                    <Event Name="ThumbTrackEnded" Function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_ended" />
-                    <Event Name="ScrollPosChanged" Function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_changed" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="MouseControlsBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="MouseControlsWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Mouse controls" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
+            <Window name="MouseNormalSensitivity" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Sensitivity (normal mode)                                      " />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.05,0},{0.2,0},{0.95,0},{0.45,0}}" />
+                <Window name="MouseNormalScrollbar" type="MenuWidgets/HorizontalScrollbar">
+                    <Property name="PageSize" value="0" />
+                    <Property name="StepSize" value="1" />
+                    <Property name="OverlapSize" value="0" />
+                    <Property name="DocumentSize" value="1" />
+                    <Property name="ScrollPosition" value="0" />
+                    <Property name="StepSize" value="0.1" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.02,0},{0.6,0},{0.565,0},{0.8,0}}" />
+                    <Event function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_started" name="ThumbTrackStarted" />
+                    <Event function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_ended" name="ThumbTrackEnded" />
+                    <Event function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_changed" name="ScrollPosChanged" />
                 </Window>
-                <Window Type="MenuWidgets/RadioButton" Name="orxonox/MouseNormalButton" >
-                    <Property Name="Text" Value="Normal mouse input" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.61,0},{0.5,0},{0.975,0},{0.85,0}}" />
-                    <Event Name="SelectStateChanged" Function="MouseControlsMenu.MouseNormalButton_clicked" />
+                <Window name="MouseNormalButton" type="MenuWidgets/RadioButton">
+                    <Property name="Text" value="Normal mouse input" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.61,0},{0.5,0},{0.975,0},{0.85,0}}" />
+                    <Event function="MouseControlsMenu.MouseNormalButton_clicked" name="SelectStateChanged" />
                 </Window>
             </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/MouseDeriveSensitivity" >
-                <Property Name="Text" Value="Sensitivity (derive mode)                                      " />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.55,0},{0.95,0},{0.8,0}}" />
-                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/MouseDeriveScrollbar" >
-                    <Property Name="PageSize" Value="0" />
-                    <Property Name="StepSize" Value="1" />
-                    <Property Name="OverlapSize" Value="0" />
-                    <Property Name="DocumentSize" Value="1" />
-                    <Property Name="ScrollPosition" Value="0" />
-                    <Property Name="StepSize" Value="0.1" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.02,0},{0.6,0},{0.565,0},{0.8,0}}" />
-                    <Event Name="ThumbTrackStarted" Function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_started" />
-                    <Event Name="ThumbTrackEnded" Function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_ended" />
-                    <Event Name="ScrollPosChanged" Function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_changed" />
+            <Window name="MouseDeriveSensitivity" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Sensitivity (derive mode)                                      " />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.05,0},{0.55,0},{0.95,0},{0.8,0}}" />
+                <Window name="MouseDeriveScrollbar" type="MenuWidgets/HorizontalScrollbar">
+                    <Property name="PageSize" value="0" />
+                    <Property name="StepSize" value="1" />
+                    <Property name="OverlapSize" value="0" />
+                    <Property name="DocumentSize" value="1" />
+                    <Property name="ScrollPosition" value="0" />
+                    <Property name="StepSize" value="0.1" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.02,0},{0.6,0},{0.565,0},{0.8,0}}" />
+                    <Event function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_started" name="ThumbTrackStarted" />
+                    <Event function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_ended" name="ThumbTrackEnded" />
+                    <Event function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_changed" name="ScrollPosChanged" />
                 </Window>
-                <Window Type="MenuWidgets/RadioButton" Name="orxonox/MouseDeriveButton" >
-                    <Property Name="Text" Value="Derive mouse input" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.61,0},{0.5,0},{0.975,0},{0.85,0}}" />
-                    <Event Name="SelectStateChanged" Function="MouseControlsMenu.MouseDeriveButton_clicked" />
+                <Window name="MouseDeriveButton" type="MenuWidgets/RadioButton">
+                    <Property name="Text" value="Derive mouse input" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.61,0},{0.5,0},{0.975,0},{0.85,0}}" />
+                    <Event function="MouseControlsMenu.MouseDeriveButton_clicked" name="SelectStateChanged" />
                 </Window>
             </Window>
-            <Window Type="MenuWidgets/Checkbox" Name="orxonox/MouseInvertCheckbox" >
-                <Property Name="Text" Value="Invert mouse" />
-                <Property Name="Disabled" Value="true" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.39,0},{0.85,0},{0.61,0},{0.95,0}}" />
-                <Event Name="CheckStateChanged" Function="MouseControlsMenu.MouseInvertCheckbox_clicked" />
+            <Window name="MouseInvertCheckbox" type="MenuWidgets/Checkbox">
+                <Property name="Text" value="Invert mouse" />
+                <Property name="Disabled" value="true" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.39,0},{0.85,0},{0.61,0},{0.95,0}}" />
+                <Event function="MouseControlsMenu.MouseInvertCheckbox_clicked" name="CheckStateChanged" />
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/MouseControlsBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
-            <Event Name="Clicked" Function="MouseControlsMenu.MouseControlsBackButton_clicked"/>
+        <Window name="MouseControlsBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Event function="MouseControlsMenu.MouseControlsBackButton_clicked" name="Clicked" />
         </Window>
     </Window>
